/*connect.js [v0.01 Harald Floerke SerCon 22.05.1998]*/
/* Konfiguration fuer Freigabeverfahren*/

function loginReleaseUser(){
  var retobj= {};
    
/*
Erzeugen eines HW_API_Server Objektes fr den Benutzer, der
dem Freigabeverfahren zugeordnet ist.
*/

  // some tests if the release flow is properly configured
  var configured=true;
  var f=new File(releaseconfig.managerfile);
  if (f.open("r"))
  {
    releaseconfig.manager=f.readln();
    releaseconfig.managerpasswd=f.readln();
  }
  else
  {
    releaseconfig.manager="hwsystem";
    releaseconfig.managerpasswd="hwsystem";
  }

  var connect = new HW_API_Server(releaseconfig.HW_databasehost);
  var out = connect.identify({username:releaseconfig.manager,password:releaseconfig.managerpasswd});
  if (out.error.error())
    configured=false;

  if (configured)
  { // test if flowcollection is present
    out=connect.object({objectidentifier:releaseconfig.flowcollection});
    if (out.error.error())
      configured=false;
  }

	if (!configured) {
    // ignore if action is identify action
    if (place("action")!=place("action.identify"))
    {
      writeln("<SCRIPT>")
      var text="";
      text+="ERROR:\\n";
      text+="Release Procedure has not been properly configured.\\n";
      text+="Please consult section \"Configuring Release Procedures\"\\n";
      text+="in the \"Hyperwave Administrator\\'s Guide\".";
      if (request.agent.architecture=="Windows")
      {
        writeln("alert('"+text+"');");
      }
      else
      {
        writeln("confirm('"+text+"');");
      }
      writeln("if (this.window.name!='HW_Mainwindow') this.window.close()");
      writeln("</SCRIPT>");
    }
		retobj.error = 'RELEASE MANAGEMENT :Could not login';
  }
  else
  {
    retobj.session = connect;
  }
  return retobj;
}

function getSMTPHost(){
  return releaseconfig.smtphost;
}

